Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class Any

    java.lang.Object
      |
      +--org.omg.CORBA.Any

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

Direct Known Subclasses:
  Any

public abstract class Any
extends java.lang.Object
implements IDLEntity

See Also:
  Serialized Form

Constructor Summary
`Any()`

Method Summary
`abstract InputStream` | `create_input_stream()`
`abstract OutputStream` | `create_output_stream()`
`abstract boolean` | `equal(Any a)`
`abstract Any` | `extract_any()`
`abstract boolean` | `extract_boolean()`
`abstract char` | `extract_char()`
`abstract double` | `extract_double()`
`java.math.BigDecimal` | `extract_fixed()`
`abstract float` | `extract_float()`
`abstract int` | `extract_long()`
`abstract long` | `extract_longlong()`
`abstract Object` | `extract_Object()`
`abstract byte` | `extract_octet()`
`Principal` | `extract_Principal()` Deprecated.
`abstract short` | `extract_short()`
`Streamable` | `extract_Streamable()`
`abstract java.lang.String` | `extract_string()`
`abstract TypeCode` | `extract_TypeCode()`
`abstract int` | `extract_ulong()`
`abstract long` | `extract_ulonglong()`
`abstract short` | `extract_ushort()`
`abstract java.io.Serializable` | `extract_Value()`
`abstract char` | `extract_wchar()`
`abstract java.lang.String` | `extract_wstring()`
`abstract void` | `insert_any(Any a)`
`abstract void` | `insert_boolean(boolean b)`
`abstract void` | `insert_char(char c)`
`abstract void` | `insert_double(double d)`
`void` | `insert_fixed(java.math.BigDecimal f, TypeCode t)`
`abstract void` | `insert_float(float f)`
`abstract void` | `insert_long(int i)`
`abstract void` | `insert_longlong(long l)`
`abstract void` | `insert_Object(Object obj)`
`abstract void` | `insert_Object(Object obj, TypeCode type)`
`abstract void` | `insert_octet(byte b)`
`void` | `insert_Principal(Principal p)` Deprecated.
`abstract void` | `insert_short(short s)`
`void` | `insert_Streamable(Streamable s)`
`abstract void` | `insert_string(java.lang.String s)`
`abstract void` | `insert_TypeCode(TypeCode value)`
`abstract void` | `insert_ulong(int i)`
`abstract void` | `insert_ulonglong(long l)`
`abstract void` | `insert_ushort(short s)`
`abstract void` | `insert_Value(java.io.Serializable v)`
`abstract void` | `insert_Value(java.io.Serializable v, TypeCode t)`
`abstract void` | `insert_wchar(char c)`
`abstract void` | `insert_wstring(java.lang.String value)`
`abstract void` | `read_value(InputStream is, TypeCode type)`
`abstract TypeCode` | `type()`
`abstract void` | `type(TypeCode type)`
`abstract void` | `write_value(OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Any

    public Any()

Method Detail

### equal

    public abstract boolean equal(Any a)

### type

    public abstract TypeCode type()

### type

    public abstract void type(TypeCode type)

### read_value

    public abstract void read_value(InputStream is,
                                    TypeCode type)
                             throws MARSHAL

### write_value

    public abstract void write_value(OutputStream os)

### create_output_stream

    public abstract OutputStream create_output_stream()

### create_input_stream

    public abstract InputStream create_input_stream()

### extract_short

    public abstract short extract_short()
                                 throws BAD_OPERATION

### insert_short

    public abstract void insert_short(short s)

### extract_long

    public abstract int extract_long()
                              throws BAD_OPERATION

### insert_long

    public abstract void insert_long(int i)

### extract_longlong

    public abstract long extract_longlong()
                                   throws BAD_OPERATION

### insert_longlong

    public abstract void insert_longlong(long l)

### extract_ushort

    public abstract short extract_ushort()
                                  throws BAD_OPERATION

### insert_ushort

    public abstract void insert_ushort(short s)

### extract_ulong

    public abstract int extract_ulong()
                               throws BAD_OPERATION

### insert_ulong

    public abstract void insert_ulong(int i)

### extract_ulonglong

    public abstract long extract_ulonglong()
                                    throws BAD_OPERATION

### insert_ulonglong

    public abstract void insert_ulonglong(long l)

### extract_float

    public abstract float extract_float()
                                 throws BAD_OPERATION

### insert_float

    public abstract void insert_float(float f)

### extract_double

    public abstract double extract_double()
                                   throws BAD_OPERATION

### insert_double

    public abstract void insert_double(double d)

### extract_boolean

    public abstract boolean extract_boolean()
                                     throws BAD_OPERATION

### insert_boolean

    public abstract void insert_boolean(boolean b)

### extract_char

    public abstract char extract_char()
                               throws BAD_OPERATION

### insert_char

    public abstract void insert_char(char c)

### extract_wchar

    public abstract char extract_wchar()
                                throws BAD_OPERATION

### insert_wchar

    public abstract void insert_wchar(char c)

### extract_octet

    public abstract byte extract_octet()
                                throws BAD_OPERATION

### insert_octet

    public abstract void insert_octet(byte b)

### extract_any

    public abstract Any extract_any()
                             throws BAD_OPERATION

### insert_any

    public abstract void insert_any(Any a)

### extract_Object

    public abstract Object extract_Object()
                                   throws BAD_OPERATION

### insert_Object

    public abstract void insert_Object(Object obj)

### extract_Value

    public abstract java.io.Serializable extract_Value()
                                                throws BAD_OPERATION

### insert_Value

    public abstract void insert_Value(java.io.Serializable v)

### insert_Value

    public abstract void insert_Value(java.io.Serializable v,
                                      TypeCode t)
                               throws MARSHAL

### insert_Object

    public abstract void insert_Object(Object obj,
                                       TypeCode type)
                                throws BAD_PARAM

### extract_string

    public abstract java.lang.String extract_string()
                                             throws BAD_OPERATION

### insert_string

    public abstract void insert_string(java.lang.String s)
                                throws DATA_CONVERSION,
                                       MARSHAL

### extract_wstring

    public abstract java.lang.String extract_wstring()
                                              throws BAD_OPERATION

### insert_wstring

    public abstract void insert_wstring(java.lang.String value)
                                 throws MARSHAL

### extract_TypeCode

    public abstract TypeCode extract_TypeCode()
                                       throws BAD_OPERATION

### insert_TypeCode

    public abstract void insert_TypeCode(TypeCode value)

### extract_Principal

    public Principal extract_Principal()
                                throws BAD_OPERATION

  Deprecated.

### insert_Principal

    public void insert_Principal(Principal p)

  Deprecated.

### extract_Streamable

    public Streamable extract_Streamable()
                                  throws BAD_INV_ORDER

### insert_Streamable

    public void insert_Streamable(Streamable s)

### extract_fixed

    public java.math.BigDecimal extract_fixed()

### insert_fixed

    public void insert_fixed(java.math.BigDecimal f,
                             TypeCode t)
                      throws BAD_INV_ORDER

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD